%global momorel 3
%global src_year 2004
%global src_month 10
%global src_day 18
%global src_name %{src_day}%{src_month}%{src_year}
# %%global rel %{src_year}%{src_month}%{src_day}.%{momorel}

Summary: Reference encoder and encoding library for MPEG2/4 AAC
Name: faac
Version: 1.24
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/
#Source0: http://dl.sf.net/faac/faac-%{version}.tar.gz
Source0: http://www.audiocoding.com/snapshot/faac-%{src_name}.tar.gz
NoSource: 0
Patch0: faac-1.24-build-mp4v2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf, automake, libtool, gcc-c++

%description
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

%package devel
Summary: Development libraries of the FAAC AAC encoder
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

This package contains development files and documentation for libfaac.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
sh bootstrap
%configure --with-mp4v2
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%changelog
* Mon Jan  9 2006 Kazuhiko <kazuhiko@fdiary.net>
- (1.24-3m)
- configure with '--with-mp4v2'
- apply 'faac-1.24-build-mp4v2.patch'

* Sat May 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.24-2m)
- update to snapshot

* Sat May 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.24-1m)
- import to Momonga from http://dag.wieers.com/packages/faac/faac.spec

* Mon May  3 2004 Matthias Saou <http://freshrpms.net/> 1.24-1
- Update to 1.24.

* Thu Feb 26 2004 Matthias Saou <http://freshrpms.net/> 1.23.5-1
- Update to 1.23.5.
- Changed license tag to GPL.

* Mon Nov 17 2003 Matthias Saou <http://freshrpms.net/> 1.23.1-1
- Initial rpm release.

